Subject: bug#78650: closed (Re: bug#78650: Guile 3.0.10: regexp-compile not exported by (ice-9 regex) module)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 03 Jun 2025 11:04:07 +0000

Your bug report

#78650: Guile 3.0.10: regexp-compile not exported by (ice-9 regex) module

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78650: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78650
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78650: Guile 3.0.10: regexp-compile not exported by (ice-9 regex) module
From: Maxim Cournoyer <[email-masked]>
To: Tomas Volf <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 03 Jun 2025 20:03:33 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Tomas Volf <[email-masked]> writes:

> Shalok Shalom via "Bug reports for GUILE, GNU's Ubiquitous Extension
> Language" <[email-masked]> writes:
>
>> In the Guile 3.0.10 package provided by this distribution, the
>> standard procedure regexp-compile is not exported by the (ice-9
>> regex) module.
>> This causes an "Unbound variable: regexp-compile" error when
>> attempting to use this procedure after loading the module with
>> (use-modules (ice-9 regex)).
>>
>> I am using the Arch Linux distribution, and it does seem to leave the package alone.
>> Did you deprecate the procedure, or something?
>
> Was this procedure ever available?  Looking into git history gives
> nothing useful.  Why do you believe it should exist?  There is
> `make-regexp', maybe you want to use that one.

regexp-compile is not part of the standard Guile API, as far as I
know. It's not documented, and not exported from (ice-9 regex).  Maybe
Arch Linux does something extra to provide it?  Or maybe you are using
Racket there instead of Guile?

Closing.

-- 
Thanks,
Maxim

Subject: Guile 3.0.10: regexp-compile not exported by (ice-9 regex) module
From: Shalok Shalom <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 30 May 2025 20:03:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

In the Guile 3.0.10 package provided by this distribution, the standard procedure regexp-compile is not exported by the (ice-9 regex) module.
This causes an "Unbound variable: regexp-compile" error when attempting to use this procedure after loading the module with (use-modules (ice-9 regex)).

I am using the Arch Linux distribution, and it does seem to leave the package alone.
Did you deprecate the procedure, or something?